#include <iostream>
using namespace std;
int main ()
{
    int A,B,C,D,E,obem,obemE,kutii=0;
    cin >> A >> B >> C >> D >> E;
    for (int i=1;i<=1O;i++)
    {
       
    }
    if (obem%obemE!=0)
    {
        kutii++;
    }
    cout << kutii << endl;
    return 0;
}
